List the integrations this deployment supports (staff)
GET /api/integrations/available. List the integrations this deployment supports (staff). Headless LMS Integrations API reference.
Staff only (owner, admin, instructor). Each with the JSON Schemas of its config, its secrets and its actions.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/integrations/available"[ { "id": "string", "configSchema": { "property1": null, "property2": null }, "secretsSchema": { "property1": null, "property2": null }, "actions": [ { "id": "string", "description": "string", "inputSchema": { "property1": null, "property2": null }, "outputSchema": { "property1": null, "property2": null } } ] }]{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}